Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008481opensim[REGION] Script Functionspublic2019-02-14 01:112019-08-02 09:48
Reporterdjphil 
Assigned Todjphil 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008481: [FEATURE REQUEST] osGetLandDwell and PARCEL_DETAILS_LANDDWELL
DescriptionNow that we have Dwell working, we would like to be able to get that value :)

I suggest osGetLandDwell() and osGetLandDwell(string region)
It would have been nice in llGetParcelDetails(vector pos, [PARCEL_DETAILS_LANDDWELL])
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Filespatch file icon 0001-Mantis-8481-part-one (Adds llGetParcelDetails).patch [^] (1,974 bytes) 2019-07-26 11:15 [Show Content]
patch file icon 0001-Mantis-8481-part-two (Adds osGetParcelDwell).patch [^] (2,728 bytes) 2019-07-26 11:16 [Show Content]

- Relationships

-  Notes
(0034783)
paela argus (reporter)
2019-02-16 09:35

Dwell is sick in the current integration.
It does not reflect real values as it should.
What is the point of recovering a value that is not what it should be?
(0035508)
djphil (reporter)
2019-07-26 07:15
edited on: 2019-07-31 01:50

For information, as is the case in the viewers, this value is useful.
It would complement our many LSL / OSSL statistical scripts that we appreciate and use so much.

I really hope that someone will find some time during these holidays to implement this small basic function.

Thank you in advance ;)

(0035509)
TBG Renfold (reporter)
2019-07-26 11:18
edited on: 2019-07-31 06:01

Set PARCEL_DETAILS_DWELL @ 20, not sure what other devs would make of it.

(0035518)
djphil (reporter)
2019-07-31 01:47

Great job TBG Renfold! tyvm :)
(0035519)
UbitUmarov (administrator)
2019-07-31 05:42

Thanks, on master with a few minor changes.
PARCEL_DETAILS_DWELL is now 64
(0035550)
djphil (reporter)
2019-08-02 09:48

Too good, thanks to you! :)
Wiki updated @ http://opensimulator.org/wiki/OsGetParcelDwell [^]
and @ http://opensimulator.org/wiki/OSSL_Constants [^]

- Issue History
Date Modified Username Field Change
2019-02-14 01:11 djphil New Issue
2019-02-16 09:35 paela argus Note Added: 0034783
2019-07-26 07:15 djphil Note Added: 0035508
2019-07-26 11:15 TBG Renfold File Added: 0001-Mantis-8481-part-one (Adds llGetParcelDetails).patch
2019-07-26 11:16 TBG Renfold File Added: 0001-Mantis-8481-part-two (Adds osGetParcelDwell).patch
2019-07-26 11:18 TBG Renfold Note Added: 0035509
2019-07-31 01:47 djphil Note Added: 0035518
2019-07-31 01:47 djphil Status new => patch included
2019-07-31 01:50 aiaustin Note Edited: 0035508 View Revisions
2019-07-31 05:42 UbitUmarov Note Added: 0035519
2019-07-31 06:01 aiaustin Note Edited: 0035509 View Revisions
2019-08-02 09:47 djphil Status patch included => resolved
2019-08-02 09:47 djphil Fixed in Version => master (dev code)
2019-08-02 09:47 djphil Resolution open => fixed
2019-08-02 09:47 djphil Assigned To => djphil
2019-08-02 09:48 djphil Note Added: 0035550
2019-08-02 09:48 djphil Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker